#!/bin/sh
#
# Created: 5.5.2003 by Mig
#
# Filename:
# ===========

# yaps-server
#
# Beschreibung / Description
# ==========================
#
# liest aus einer Pipe und sendet den
# gelesenen String per SMS
# Dieser Umweg ist notwendig, weil Nagios
# nicht sicherstellen kann, dass mehrfache
# yaps-Kommandos sequentiell ausgefuehrt werden,
# damit es keine Konflikte beim Modemzugriff gibt.
#
# Die Pipe muss angelegt sein mittels
# mkfifo /var/spool/nagios/yaps.cmd
#
# English
# -------
#
# this script reads a pipe and sends the
# string as a SMS
# This work around is necessary because
# Nagios can't make sure that yaps commands
# are processed sequential. Otherwise there
# is a conflict by accessing the device.
#
# You need to create the pipe your self.
# mkfifo /var/spool/nagios/yaps.cmd
#
PIPE=/var/spool/nagios/yaps.cmd
LOGFILE=/var/log/yaps-server.log
FNAME=/tmp/yaps.$$

test -p $PIPE || exit 1

while true; do
  read command < $PIPE
  echo "$command" > $FNAME
  if [ -s $FNAME ]; then
    /usr/bin/yaps -t -z $FNAME >>$LOGFILE && rm $FNAME
  else
    echo "No data in file" >> $LOGFILE
  fi
done; 